#
# spec file for package python-UcsSdk
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-UcsSdk
Version:        0.8.2.5
Release:        3.2
License:        Apache-2.0
Summary:        Python SDK for Cisco UCS Manager
Url:            https://github.com/CiscoUcs/UcsPythonSDK
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/U/UcsSdk/UcsSdk-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Python SDK for Cisco UCS Manager.

%prep
%setup -q -n UcsSdk-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%{python_sitelib}/*

%changelog
* Fri Feb  5 2016 tbechtold@suse.com
- Initial packaging (version 0.8.2.5)
